<template>
  <GI18nCard
    i18n="dcc.common.quantityType.charsXMLList.title"
    :level="level"
    card
    :optional="optional"
    :wiki-entry="wikiEntry"
    @deleteElement="$emit('delete')"
  >
    <v-row dense>
      <GCol cols="12">
        <XmlTextField
          v-model="list"
          validate="required"
          i18n="dcc.common.quantityType.charsXMLList.chars"
        />
      </GCol>
    </v-row>
  </GI18nCard>
</template>

<script>
import { DCCXMLList } from "@d-ptb/dcc-js";
import XmlTextField from "@/components/App/Form/XML/XmlTextField";
import GI18nCard from "~/components/App/Common/GI18nCard";
import GCol from "~/components/App/Common/GCol";

export default {
  name: "CharsXMLList",
  components: {
    GCol,
    GI18nCard,
    XmlTextField,
  },
  props: {
    value: Object,
    card: Boolean,
    level: String,
    optional: {
      type: Boolean,
      default: false,
    },
    wikiEntry: {
      type: String,
      default: "charsXMLList",
    },
  },
  computed: {
    list: {
      get() {
        return this.value;
      },
      set(val) {
        if (val === undefined) {
          this.$emit("input", new DCCXMLList());
        } else {
          this.$emit("input", val);
        }
      },
    },
  },
};
</script>
